C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE DISNO(CI,X,Y)
C*****DISPLAY CI AS AN INTEGER AT X,Y ON VSVO1
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT INTEGER*2 (D-Z)
	DIMENSION A(7),AST(5)
	DATA AST/'1','0','^',' ','*'/
	CM=CI+0.5
	CALL CLEAXY(Y,X,X+9)
	J=0
C*****EXPONENTIATE IF NECCESSARY
10	IF(CM.LT.32000)GOTO 20
	CM=CM/10
	J=J+1
	GOTO 10
20	IF(J.EQ.0)GOTO 30
	IF(J.GT.9)RETURN
	CALL CHSET(X,Y)
	AST(4)=J+"60
	CALL WRITEL(AST,5)
30	CALL CHSET(X+5,Y)
C*****ENCODE INTEGER
	ICM=INT(CM)
	ENCODE(5,100,A)ICM
	CALL WRITEL(A,5)
	RETURN
100	FORMAT(I5)
	END
